The endpoint for outbox Message Events, including opens and clicks.
Retrieve multiple Message Events based on search critera passed as GET Arguments
get/messageevent/
Securityapi_key and username
Request
query Parameters
bulk_email_id
integer <int64>
The bulkemail with which this messageevent is associated.
NOTE: Parameter accepts additional qualifiers appended to the end: bulk_email__in - The value for the record is in the provided array parameter (comma-separated values). bulk_email__isnull - The value for the record is null (if true) or is not null.
event_name
string
NOTE: Parameter accepts additional qualifiers appended to the end: event_name__in - The value for the record is in the provided array parameter (comma-separated values). event_name__contains, event_name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive) event_name__startswith, event_name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive) event_name__endswith, event_name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive) event_name__iexact - The value for the record is a case-insensitive exact match to the provided parameter. event_name__isnull - The value for the record is null (if true) or is not null.
event_timestamp
string <date-time>
NOTE: Parameter accepts additional qualifiers appended to the end: event_timestamp__year, event_timestamp__month, event_timestamp__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).
send_email_id
integer <int64>
The sendemail with which this messageevent is associated.
NOTE: Parameter accepts additional qualifiers appended to the end: send_email__in - The value for the record is in the provided array parameter (comma-separated values). send_email__isnull - The value for the record is null (if true) or is not null.
dehydrate
Array of strings
Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values. resource_uri - expand resource_uri with additional details. NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.
Items Value:"resource_uri"
limit
integer <int64>
Default: 20
The number of records to return (for pagination).
offset
integer <int64>
Default: 0
The number of records to offset the start of the data being returned (for pagination).
Responses
200
MessageEvent retrieved successfully
400
improperly configured request
401
authorization failure
500
internal server error
Response samples
200
application/json
{
"_extra": { },
"archived": false,
"bulk_email": "/api/bulkemail/1/",
"event_id": "string",
"event_json": { },
"event_name": "string",
"event_timestamp": "2019-08-24T14:15:22Z",
"event_type": "string",
"id": 0,
"resource_uri": "string",
"send_email": "/api/sendemail/1/"
}
Retrieve information on a single Message Event.
get/messageevent/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>
Quorum ID (Primary Key)
query Parameters
dehydrate
Array of strings
Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values. resource_uri - expand resource_uri with additional details. NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.